+7 495 955-25-82+7 499 990-10-21

Печать

Re: Печать

Сообщение kuman » 26 апр 2011, 12:02

Взял архив распаковал, отредактировал файл, запаковал обратно в архив, заменил в файле iso архивы, прожег на диск, переустановил дэнси касса, все равно рубли, хотя в архиве в файле printreceipt гривны.
Ubuntu 12.04 32 bit. ДК 1.3.1 patch2_426
kuman
 
Постов: 474
Зарегистрирован: 18 апр 2011, 20:28

Re: Печать

Сообщение Alexander » 26 апр 2011, 12:26

Все в принципе правильно, только после редактирования исходников требуется пересборка проекта с помощью компилятора. В каталоге с исходниками для этого есть скрипт make_all, но! (как я уже писал) сначала придется доустановить среду сборки (компилятор, make, devel-пакеты для PostgreSQL, Qt3).
В общем скиньте отредактированный файл - сделаю с ним сборку.
Уточните, кстати, архитектуру ПК (32 или 64 бит). Узнать можно, например, с помощью команды uname -m, запущенной из окна терминала.
Alexander
 
Постов: 4385
Зарегистрирован: 16 авг 2009, 23:34
Откуда: Техподдержка ГК ДЭНСИ

Re: Печать

Сообщение kuman » 26 апр 2011, 12:46

Alexander писал(а):Все в принципе правильно, только после редактирования исходников требуется пересборка проекта с помощью компилятора. В каталоге с исходниками для этого есть скрипт make_all, но! (как я уже писал) сначала придется доустановить среду сборки (компилятор, make, devel-пакеты для PostgreSQL, Qt3).
В общем скиньте отредактированный файл - сделаю с ним сборку.
Уточните, кстати, архитектуру ПК (32 или 64 бит). Узнать можно, например, с помощью команды uname -m, запущенной из окна терминала.

uname-m
x86_64
Ubuntu 12.04 32 bit. ДК 1.3.1 patch2_426
kuman
 
Постов: 474
Зарегистрирован: 18 апр 2011, 20:28

Re: Печать

Сообщение Alexander » 26 апр 2011, 13:03

Скинул файл и инструкцию по обновлению на электронку.
Alexander
 
Постов: 4385
Зарегистрирован: 16 авг 2009, 23:34
Откуда: Техподдержка ГК ДЭНСИ

Re: Печать

Сообщение kuman » 26 апр 2011, 16:31

Спасибо админу за подробную информацию.
Подскажите, какую команду ввести в консоли, чтобы принтер заработал после того, как закончилась бумага (при печати, особенно при двухсторонней, когда не успеваешь перевернуть лист, принтер три раза пытается подхватить бумагу, потом загорается лампочка бумаги и принтер мертвый на все запросы.Помогает только перезагрузка).
Подключал принтер так:
$su
После этого надо установить пакеты, скачанные с сайта CANON.
Код
# rpm -ivh cndrvcups-common-1.1X-X.i386.rpm
Код
# rpm -ivh cndrvcups-capt-1.1X-X.i386.rpm
Устанавливать желательно в указанной последовательности. Обладатели не-rpm-based дистрибутивов могут конвертировать пакеты в формат, используемый дистрибутивом.
Теперь необходимо перезапустить CUPS.
Код
# /etc/init.d/cups restart
CUPS необходимо перезапустить обязательно, в противном случае принтер печатать не будет.
Теперь можно зарегистрировать принтер используя команду lpadmin
Код
# /usr/sbin/lpadmin -p [printer name] -m [PPD file name] -v ccp:/var/ccpd/fifo0 -E
Например, # /usr/sbin/lpadmin -p LBP1120 -m CNCUPSLBP1120CAPTK.PPD -v ccp:/var/ccpd/fifo0 -E
где CNCUPSLBP1120CAPTK.ppd - PPD-файл принтера Canon LBP 2900.
(Спойлер) Уточнить название PPD-файла принтера можно так.
Пример вывода данной команды:
/usr/share/cups/model/CNCUPSLBP1120CAPTJ.ppd
/usr/share/cups/model/CNCUPSLBP1120CAPTK.ppd
/usr/share/cups/model/CNCUPSLBP1210CAPTJ.ppd
/usr/share/cups/model/CNCUPSLBP1210CAPTK.ppd
/usr/share/cups/model/CNCUPSLBP2900CAPTK.ppd
/usr/share/cups/model/CNCUPSLBP3000CAPTJ.ppd
/usr/share/cups/model/CNCUPSLBP3000CAPTK.ppd
/usr/share/cups/model/CNCUPSLBP3050CAPTK.ppd
Если принтер успешно добавлен в спулер печати, можно зарегистрировать принтер в демоне ccpd.
Код
# /usr/sbin/ccpdadmin -p [printer name] -o [printer device path]
Например, # /usr/sbin/ccpdadmin -p LBP1120 -o /dev/usb/lp0
После этого следует запустить демон ccpd.
Код
# /etc/init.d/ccpd start
После этого принтер должен заработать.
Также полезно добавить демон ccpd в автозагрузку, чтобы после перезагрузки системы принтер заработал.
В Mandriva я это делаю так:
Код
# ln -s /etc/init.d/ccpd /etc/rc5.d/S99ccpd
P.S. Выше тема форума была о принтере Pixma ip 1000, а сейчас LBP 2900 (один принтер дома, другой на работе)
Ubuntu 12.04 32 bit. ДК 1.3.1 patch2_426
kuman
 
Постов: 474
Зарегистрирован: 18 апр 2011, 20:28

Re: Печать

Сообщение kuman » 07 ноя 2011, 22:48

Alexander писал(а):Все в принципе правильно, только после редактирования исходников требуется пересборка проекта с помощью компилятора. В каталоге с исходниками для этого есть скрипт make_all, но! (как я уже писал) сначала придется доустановить среду сборки (компилятор, make, devel-пакеты для PostgreSQL, Qt3).
В общем скиньте отредактированный файл - сделаю с ним сборку.
Уточните, кстати, архитектуру ПК (32 или 64 бит). Узнать можно, например, с помощью команды uname -m, запущенной из окна терминала.

Делаю первые шаги в компиляции.
Погуглил, доустановил пакет task-c-devel, отредактировал исходники.
Как использовать скрипт make_all?
Доустановить что-то надо?
Ubuntu 12.04 32 bit. ДК 1.3.1 patch2_426
kuman
 
Постов: 474
Зарегистрирован: 18 апр 2011, 20:28

Re: Печать

Сообщение Alexander » 08 ноя 2011, 00:03

Исходники какой версии ДЭНСИ: КАССы пытаетесь пересобрать?
Вопрос не праздный, т.к. в 1.2.6 необходимы уже две среды сборки (для Qt3 и Qt4) - пока весь проект не переведем на Qt4. Причем Qt4 из репозитария устанавливать нельзя, т.к. они начинают с Qt3 конфликтовать при сборке проектов.
В 1.2.5 попроще - там все на Qt3, пакеты можно все из репозитария Mandriva 2009.0 доустановить.
Alexander
 
Постов: 4385
Зарегистрирован: 16 авг 2009, 23:34
Откуда: Техподдержка ГК ДЭНСИ

Re: Печать

Сообщение kuman » 08 ноя 2011, 00:08

Учусь в 1,2,5.
Понятно, что в 1,2,6 другие библиотеки.
Научусь пока в 1,2,5, потом, когда выйдет 1,2,6 полностью на Qt4, попробую там.
Ubuntu 12.04 32 bit. ДК 1.3.1 patch2_426
kuman
 
Постов: 474
Зарегистрирован: 18 апр 2011, 20:28

Re: Печать

Сообщение Alexander » 08 ноя 2011, 00:13

Хорошо, я завтра набросаю список пакетов, которые позволяют пересобрать ДЭНСИ: КАССу линейки 1.2.5.
Alexander
 
Постов: 4385
Зарегистрирован: 16 авг 2009, 23:34
Откуда: Техподдержка ГК ДЭНСИ

Re: Печать

Сообщение Alexander » 08 ноя 2011, 16:58

Вот, как обещал:
(предполагается, что базовая установка была произведена с установочного диска ДЭНСИ: КАССы 1.2.5)
1. make (1 пакет)
2. gcc-c++-4.3.2 (10 пакетов)
3. lib[64]qt3-devel (82 пакета)
4. lib[64]openssl-devel (1 пакет)
Первые четыре пункта ставятся с DVD или из Интернет-репозитария. В круглых скобках указано кол-во зависимых, автоматически устанавливаемых пакетов). В квадратных - необязательные (зависящие от архитектуры ПК) символы в названиях пакетов
Следующие два пакета ставятся только с Интернет-репозитария, на DVD их нет:
5. lib[64]ecpg8.3 (1 пакет)
6. postgresql8.3-devel (1 пакет)

Ну и последнее - создать символическую ссылку (выполняется с правами root):
ln -s /usr/lib[64]/libqt-mt.so /usr/lib[64]/libqt.so
(В квадратных скобках - необязательные (зависящие от архитектуры ПК) символы)

Все, можно запускать make_all (предварительно проверив, что в /usr/lib[64] установлена библиотека сервера оборудования ДЭНСИ: КАССы - libhwsrv.so )
Alexander
 
Постов: 4385
Зарегистрирован: 16 авг 2009, 23:34
Откуда: Техподдержка ГК ДЭНСИ

Пред.След.

Вернуться в Кассовая программа ДЭНСИ:КАССА

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 1



Кто сейчас на конференции

Сейчас посетителей на конференции: 1, из них зарегистрированных: 0, скрытых: 0 и гостей: 1 (основано на активности пользователей за последние 5 минут)
Больше всего посетителей (68) здесь было 14 ноя 2017, 18:26

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 1